Subject: bug#57781: missing wallpaper command

From: Felix <[email-masked]>
Date: Mon, 19 Sep 2022 00:19:56 +0200

Stefan Kangas <[email-masked]> writes:

> Felix <[email-masked]> writes:
>
>> On a fresh debian install with
>> - gnome-shell:
>> $XDG_CURRENT_DESKTOP is not set (i will check on arch linux later today)
>
> This is surprising to me.  But I guess that variable should be set by
> something like "gdm"?  Is that what you used?
>
>>> If you like, perhaps you could send the output of the `env' command to
>>> me privately.  Just edit out anything sensitive before sending it.
>>
>> I will do that later today aswell.
> [...]
>>>> I can check KDE later, but I don't expect wgb or swaybg to work there.
>>
>> I'll include that later today (i'm on a train back home at the moment)
>
> Excellent, thank you!

On KDE/plasma Wayland everything i tested worked with wallpaper-set.
If wbg or swaybg is installed, they are used by wallpaper-set, which is
not optimal, if they are not installed kde's internal way of
setting the wallpaper is used. That way there is no process attached to
emacs, quiting emacs doesn't remove the wallpaper (as it does with wbg
or swaybg), and there is no need to kill old wallpaper processes.